import { groupMap } from '@temp/menu/group';
import { computed, ref } from 'vue';
import { useRoute, useRouter } from 'vue-router';
import { resolveRouteWithRedirect } from '../utils/resolveRouteWithRedirect.js';
export const groupMapRef = ref(groupMap);
export const useMenu = () => {
    const router = useRouter();
    const route = useRoute();
    return computed(() => {
        const routes = router.getRoutes();
        const result = {
            map: {},
        };
        // const menuGroups = Object.entries(groupMapRef.value)
        const menuGroups = groupMapRef.value;
        for (const group in menuGroups) {
            const menuGroup = menuGroups[group];
            // console.log(menuGroup.path)
            result.map[group] = {
                path: menuGroup.path,
                name: menuGroup.name,
                posts: [],
            };
            for (const pageKey of menuGroup.keys) {
                const pageRoute = routes.find(({ name }) => name === pageKey);
                if (pageRoute) {
                    const finalRoute = resolveRouteWithRedirect(router, pageRoute.path);
                    result.map[group].posts.push({
                        path: finalRoute.path,
                        info: finalRoute.meta,
                    });
                }
            }
            if (menuGroup.path === route.path) {
                result.currentPosts = result.map[group].posts;
            }
        }
        return result;
    });
};
if (__VUEPRESS_DEV__ && (import.meta.webpackHot || import.meta.hot)) {
    __VUE_HMR_RUNTIME__.updateMenuGroup = (map) => {
        groupMapRef.value = map;
    };
}
