import { logger } from '@vuepress/utils';
import { prepareGroup } from './group.js';
export const menuPlugin = (options = {}) => (app) => {
    const { getPageInfo = () => ({}), filter = (page) => Boolean(page.filePathRelative), } = options;
    if (app.env.isDebug) {
        logger.info(`Options: ${JSON.stringify(options)}`);
    }
    return {
        name: 'vuepress-plugin-menu',
        onInitialized: async (app) => {
            await prepareGroup(app, options, true);
            if (app.env.isDebug)
                logger.info('Temp file generated');
        },
        extendsPage: (page) => {
            //  adding extra properties to page route meta for menu's list
            if (filter(page)) {
                page.routeMeta = {
                    ...page.routeMeta,
                    ...getPageInfo(page),
                };
            }
        },
    };
};
